Update target allocations
curl --request PUT \
--url https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/strategy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"allocations": [
{
"sourceId": "0x1111111111111111111111111111111111111111111111111111111111111111",
"targetBps": 8000
}
],
"idleTargetBps": 2000
}
'import requests
url = "https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/strategy"
payload = {
"allocations": [
{
"sourceId": "0x1111111111111111111111111111111111111111111111111111111111111111",
"targetBps": 8000
}
],
"idleTargetBps": 2000
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
allocations: [
{
sourceId: '0x1111111111111111111111111111111111111111111111111111111111111111',
targetBps: 8000
}
],
idleTargetBps: 2000
})
};
fetch('https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/strategy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"id": "924c9b2d-3a9c-4b1a-b470-c73fc9b97c06",
"kind": "update_strategy",
"status": "submitted",
"vaultId": "d9902b20-6499-4465-a4c3-5d2208182f79",
"txHashes": [
"0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
],
"error": null,
"createdAt": "2026-09-10T18:42:10.000Z",
"updatedAt": "2026-09-10T18:42:12.000Z"
}
}{
"error": "invalid_request",
"message": "allocation targets and idleTargetBps must total 10000"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "invalid_request",
"message": "allocation targets and idleTargetBps must total 10000"
}Vaults and Sources
Update MicroVault strategy
PUT
/
v2
/
microvaults
/
vaults
/
{vaultId}
/
strategy
Update target allocations
Set target allocations across yield sources and idle USDC. Targets must total 10,000 basis points.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Reuse when retrying the identical request.
Required string length:
1 - 200Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89aAbB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Example:
"8f4c52d7-62ab-4db9-a964-92f481f6b851"
Body
application/json
Response
The operation was accepted.
Show child attributes
Show child attributes
Example:
{ "id": "924c9b2d-3a9c-4b1a-b470-c73fc9b97c06", "kind": "update_strategy", "status": "submitted", "vaultId": "d9902b20-6499-4465-a4c3-5d2208182f79", "txHashes": [ "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa" ], "error": null, "createdAt": "2026-09-10T18:42:10.000Z", "updatedAt": "2026-09-10T18:42:12.000Z" }